using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class kosarbaTesz : System.Web.UI.Page
{
    public int termekID;
    protected int cegID;
    protected int felhasznaloID;
    protected void Page_Load(object sender, EventArgs e)
    {
        string UserName = Page.User.Identity.Name;
        db.adatbazisMuveletek.UserNameToCegID(UserName, out cegID);
        db.adatbazisMuveletek.UserNameToKontaktID(UserName, out felhasznaloID);
        if (!Page.User.Identity.IsAuthenticated)
        {
            Response.Redirect("kezdolap.aspx");
        }

        if (Request.QueryString.Count>0)
        {
            
            termekID = Convert.ToInt32(Request.QueryString["termekID"].ToString());
            db.termekLista termekJellemzok = new db.termekLista();
            db.adatbazisMuveletek.termekLekerdezes(termekID, out termekJellemzok);
            lbOutCikkszam.Text = termekJellemzok.cikkszam;
            lbOutMegnevezes.Text = termekJellemzok.megnevezes;
            int lefoglaltMennyiseg = 0;
            db.adatbazisMuveletek.kosarbolEszkozFoglaltsaganaklekerdezese(termekID, out lefoglaltMennyiseg);
            lblLefoglaltMennyiseg.Text = lefoglaltMennyiseg.ToString();
            lbOutArBrutto.Text = (termekJellemzok.ar * 1.2).ToString();
            lbOutArNetto.Text = termekJellemzok.ar.ToString();
            lbOutRaktarkeszlet.Text = termekJellemzok.keszlet.ToString();
            Button1.Enabled = true;
            if (tbOutMennyiseg.Text.Length>0)
            {
                tbOutMennyiseg.Visible = false;
                tbOutMennyiseg.Enabled = false;
                lblOutFixMennyiseg.Visible = true;
                lblOutFixMennyiseg.Enabled = true;
                lblOutFixMennyiseg.Text = tbOutMennyiseg.Text;
                Button1.Visible = false;
                Button1.Enabled = false;
                btnMegerosit.Visible = true;
                btnMegerosit.Enabled = true;
                //btnMegerosit.Attributes.Add("onclick", "var url = window.opener.location.href;window.opener.location.href = url;");
                //btnMegerosit.Attributes.Add("onclick", "window.opener.location.reload(true);window.close();");

               
            }

        }
        else
        {
            lbHeader.Text = "Általános hiba! Kérem próbálja újra.";
            tbl1.Visible = false;
            Button1.Visible = false;
        }
    }
    protected void btnMegerosit_Click(object sender, EventArgs e)
    {
        int szerepelE=0;
        btnMegerosit.Visible = false;
        lbTermekKosarbaHelyezve.Visible = true;
        // A kosárban szerepel e már a termék. Visszatérési értéke 0 vagy nagyobb egész szám. ha nem szerepel akkor 0.
        db.adatbazisMuveletek.kosarbanVanEMarIlyenTermek(Convert.ToInt32(Request.QueryString["termekID"].ToString()),felhasznaloID, out szerepelE);
        // A kosárba ha nem szerepel a termék, akkor új sorba felviszem. Ha szerepel akkor csak a mennyiségét módosítom.
        db.adatbazisMuveletek.kosarbaTesz(termekID, Convert.ToInt32(lblOutFixMennyiseg.Text),szerepelE, felhasznaloID);
        int lefoglaltMennyiseg = 0;
        // Lekérdezés, hogy hány darab van az adott termékből a kosárban. (felhasználótól függetlenül)
        db.adatbazisMuveletek.kosarbolEszkozFoglaltsaganaklekerdezese(termekID, out lefoglaltMennyiseg);
        lblLefoglaltMennyiseg.Text = lefoglaltMennyiseg.ToString();
        db.termekLista termekJellemzok = new db.termekLista();
        //A raktárkészlet lekérdezése és kiíratása.
        db.adatbazisMuveletek.termekLekerdezes(termekID, out termekJellemzok);
        lbOutRaktarkeszlet.Text = termekJellemzok.keszlet.ToString();

        
    }
}
